#ifndef DIFF
#define DIFF

#define PID_RATE 30
#define AUTO_STOP_INTERVAL 2000

const int PID_INTERVAL = 1000 / PID_RATE;

const int MAX_PWM = 255;

extern void resetPID();

extern void updatePID();

extern void moveTimeout();

extern void setPID_R(uint8_t *);
extern void setPID_L(uint8_t *);
extern void getPID(uint8_t *);

extern void setTicksPerFrame(uint8_t *);

extern void setMoving(bool);


#endif
